<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Task 5.48 Phương trình bậc 2</title>
</head>
<body onload="onPageLoading()">
    <h2 class = "text-danger">Giải phương trình bậc 2</h2>
    <div class="container">
        <h4 class = "text-info">Phương trình bậc 2 có 3 tham số a, b và c</h4>
        <br>
        <div class = "row">
            <label class = "col-sm-2">Số a </label>
            <input class = "col-sm-10" id="soA" placeholder="Nhập số a">
        </div>
        <br><br>
        <div class = "row">
            <label class = "col-sm-2">Số b </label>
            <input class = "col-sm-10" id="soB" placeholder="Nhập số b">
        </div>
        <br><br>
        <div class = "row">
            <label class = "col-sm-2">Số c </label>
            <input class = "col-sm-10" id="soC" placeholder="Nhập số c">
        </div>
        <br><br>
        <button onclick="timNghiemButton()" class="btn btn-info">Tìm nghiệm</button>
        <p id="noiDung" style="display:none; color:black">Nội dung thẻ bị ẩn</p>
    </div>

</body>
<script>
    //xử lý sự kiện F5
    function onPageLoading(){
        var a=document.getElementById("soA");
        var b=document.getElementById("soB");
        var c=document.getElementById("soC");
        var message=document.getElementById("noiDung");
        console.log(a.id);
        console.log(a.placeholder);
        console.log(b.id);
        console.log(b.placeholder);
        console.log(c.id);
        console.log(c.placeholder);
        console.log(noiDung.innerHTML);
    }
    //xử lý sự kiện tìm nghiệm
    function timNghiemButton(){
        console.log("Tìm nghiệm của phương trình bậc 2");
        //subtask 4
        var aN=document.getElementById("soA").value;
        var bN=document.getElementById("soB").value;
        var cN=document.getElementById("soC").value;
        var delta=bN*bN-4*aN*cN;
        console.log(delta);
        if (delta<0){
            noiDung.innerHTML="Phương trình vô nghiệm";
            noiDung.style.color="red";
            noiDung.style.display="block";
            console.log(noiDung.innerHTML);
            }
            else {
        if (delta==0){
            var x0=-bN/(2*aN);
            console.log(x0);
            noiDung.innerHTML=("Phương trình có nghiệm kép: "+"x= "+x0);
            noiDung.style.color="blue";
            noiDung.style.display="block";
            console.log(noiDung.innerHTML);
            }
        else{
            var x1=(-bN+Math.sqrt(delta))/(2*aN);
            console.log(x1);
            var x2 =(-bN-Math.sqrt(delta))/(2*aN);
            console.log(x2);
            noiDung.innerHTML=("Phương trình có 2 nghiệm"+"<br>"+"x1 = "+x1+"<br>"+ "x2 = "+x2);
            noiDung.style.color="green";
            noiDung.style.display="block";
            console.log(noiDung.innerHTML);            
        }
    }             
    }
</script>
</html>